Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskCounterProposal

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Task
                      com.compoze.domino.TaskNotice
                          com.compoze.domino.TaskCounterProposal

All Implemented Interfaces:
  java.io.Serializable

public class TaskCounterProposal
extends TaskNotice
implements java.io.Serializable

This class is a Domino counter proposal to a task assignment. Counter proposal instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the assignment was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `TaskNoticeType.COUNTERED`, Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on an counter proposal.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.util.Date` | `getNewDueDateTime()` Gets the new due date time for this task.
`java.lang.String` | `getNewDueDateTimeString(java.text.DateFormat dateFormat)` Gets the new due date time for this task formatted with the specified date format.
`java.util.Date` | `getNewStartDateTime()` Gets the new start date time for this task.
`java.lang.String` | `getNewStartDateTimeString(java.text.DateFormat dateFormat)` Gets the new start date time for this task formatted with the specified date format.
`void` | `serverAcceptCounter(java.util.Date startDate, java.util.Date dueDate, java.lang.String sComment)` Hits the server and accepts the counter proposal.
`void` | `serverDeclineCounter(java.lang.String sComment)` Hits the server and declines the counter proposal.

Methods inherited from class com.compoze.domino.TaskNotice
`getNoticeType, getStatusUpdate, getTitle, getTitle, getTopic`

Methods inherited from class com.compoze.domino.Task
`getChair, getDueDateTime, getDueDateTimeArray, getDueDateTimeArrayString, getDueDateTimeArrayString, getDueDateTimeString, getDueState, getInstanceType, getPrincipal, getStartDateTime, getStartDateTimeArray, getStartDateTimeArrayString, getStartDateTimeArrayString, getStartDateTimeString, isRepeating, serverCompleted, serverDelete, serverDelete, serverGetRepeatPattern, serverSetRepeatPattern, serverUpdate, serverUpdate, setDateTimes`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on an counter proposal. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### serverAcceptCounter

    public void serverAcceptCounter(java.util.Date startDate,
                                    java.util.Date dueDate,
                                    java.lang.String sComment)
                             throws DominoException

  Hits the server and accepts the counter proposal.

  Note: the start date must be before the end date. If not, the dates are swapped.

  Parameters:
    `startDate` - the start date (must not be `null`)
    `dueDate` - the due date (must not be `null`)
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`

### serverDeclineCounter

    public void serverDeclineCounter(java.lang.String sComment)
                              throws DominoException

  Hits the server and declines the counter proposal.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`

### getNewStartDateTime

    public java.util.Date getNewStartDateTime()
                                       throws DominoException

  Gets the new start date time for this task.

  Returns:
    the new start date time or `null` if not a countered assignment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_START_DATE`

### getNewStartDateTimeString

    public java.lang.String getNewStartDateTimeString(java.text.DateFormat dateFormat)
                                               throws DominoException

  Gets the new start date time for this task formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the new start date time or empty string if start date time property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_START_DATE`

### getNewDueDateTime

    public java.util.Date getNewDueDateTime()
                                     throws DominoException

  Gets the new due date time for this task.

  Note: the `NEW_END_DATE` property is used by Domino.

  Returns:
    the new due date time or `null` if not a countered assignment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_END_DATE`

### getNewDueDateTimeString

    public java.lang.String getNewDueDateTimeString(java.text.DateFormat dateFormat)
                                             throws DominoException

  Gets the new due date time for this task formatted with the specified date format.

  Note: the `NEW_END_DATE` property is used by Domino.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the new due date time or empty string if due date time property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_END_DATE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.